import 'package:zhiying_comm/util/net_util.dart';
import 'package:zhiying_comm/util/empty_util.dart';

class HomeQuickEntryRepository {

  /// 获取数据
  Future<dynamic> fetchData() async {
    var result = await NetUtil.post('/api/v1/mod', params: {'ids':[7]});
    if(NetUtil.isSuccess(result)){

    }
    return null;
  }

  /// 获取缓存数据
  Future<dynamic> fetchCachedData() async{
    var result = await NetUtil.getRequestCachedData('/api/v1/mod', params: {'ids':[7]});
    if(!EmptyUtil.isEmpty(result)){
      return result;
    }
    return null;
  }

}
